﻿
.preview-container {
    max-width: 900px !important;
    font-family: system-ui;
    text-align: center;
    display: grid;
    grid-template-columns: 1fr 1fr; /* left | right */
    grid-template-rows: 1fr auto; /* top (fills) | bottom */
    gap: 20px;
    margin-bottom: 20px;
}

/* ------------------------------------------------------
   LEFT — TOP (full height + scroll)
------------------------------------------------------ */
.barcode-column1 {
    min-width: 350px;
    max-height: 350px;
    overflow-x: hidden;
    grid-column: 1;
    grid-row: 1;
    padding-top: 20px;
    border-radius: 6px;
}

/* ------------------------------------------------------
   RIGHT — FULL HEIGHT
------------------------------------------------------ */
.barcode-column2 {
    grid-column: 2;
    grid-row: 1 / span 2;
    padding: 20px;
    border-radius: 6px;
    box-shadow: 0 0 12px rgba(0,0,0,0.25);
    display: grid;
}

/* ------------------------------------------------------
   LEFT — BOTTOM
------------------------------------------------------ */
.barcode-column3 {
    grid-column: 1;
    grid-row: 2;
    padding: 20px;
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    gap: 20px;
    margin-left: 50px;
    margin-right: 50px;
    font-weight: bold;
    border-top: solid 0.5px #ccc;
}

.barcode-column3 button{
    font-weight: bold;
    min-width: 80px;
}

.barcode-column3 select{
    font-weight: 500;
    min-width: 100px;
}

.canvas-column {
    display: flex;
    flex: 1;
    background: #cce5ff;
    border-radius: 6px;
    justify-content: center;
    align-items: center;
    margin-bottom: 20px;
}

.canvas-column canvas {
    width: 100%;
    height: 100%;
    background: #cce5ff;
    border-radius: 6px;
}

.input-column {
    flex: 1;
    padding: 20px;
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 10px;
}

.input-column-name {
    padding: 20px;
}

.barcode-column3-saveexit {
    grid-column: 1;
    grid-row: 2;
    padding: 20px;
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    gap: 20px;
    margin-left: 50px;
    margin-right: 50px;
    font-weight: bold;
    border-top: solid 0.5px #ccc;
}

.barcode-column3-saveexit button{
    width: 90px;
    font-weight:bold;
}